/* ---公用基础样式--- */
:root {
    --main-color: #E30713;
    --heading-color: #333333;
    --paragraph-color: #797979;
    --body-font: "Poppins", sans-serif;
    --body-font-size: 16px;
    --line-height30: 1.7;
}

html {
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    overflow-x: hidden;
    font-family: var(--body-font);
}

* {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    outline: none;
    -moz-osx-font-smoothing: grayscale;
    /* Firefox */
    -webkit-font-smoothing: antialiased;
    /* WebKit  */
}

body {
    color: var(--paragraph-color);
    font-family: var(--body-font);
    line-height: var(--line-height30);
    font-size: var(--body-font-size);
    position: relative;
    background: #fff;
}

h1 {
    font-size: 50px;
    line-height: 1.2333333333;
}

h2 {
    font-size: 36px;
    line-height: 1.3380952381;
}

h3 {
    font-size: 24px;
    line-height: 1.3833333333;
}

h4 {
    font-size: 20px;
    line-height: 1.3380952381;
}

h5 {
    font-size: 18px;
    line-height: 1.3380952381;
}

h6 {
    font-size: 16px;
    line-height: 1.3380952381;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: var(--heading-color);
    font-weight: 700;
}

p {
    color: var(--paragraph-color);
    -webkit-hyphens: auto;
    -ms-hyphens: auto;
    hyphens: auto;
}

a {
    color: inherit;
    text-decoration: none;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

a,
a:hover,
a:focus,
a:active {
    text-decoration: none;
    outline: none;
    color: inherit;
}

a:hover {
    color: var(--main-color) !important;
}

pre {
    word-break: break-word;
}

a i {
    padding: 0 2px;
}


ol {
    counter-reset: counter;
    padding-left: 0;
}

ol li {
    list-style: none;
    margin-bottom: 1rem;
}

ol li:before {
    counter-increment: counter;
    content: counter(counter);
    font-weight: 500;
    margin-right: 10px;
}

button:hover,
button:active,
button:focus {
    outline: 0;
}

input[type="text"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
input[type="tel"]:focus,
input[type="number"]:focus,
textarea:focus,
input[type="button"]:focus,
input[type="reset"]:focus,
input[type="submit"]:focus,
select:focus {
    outline: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    border: 1px solid #ddd;
}

.pd80 {
    padding-top:4rem;
    padding-bottom: 4rem;
}

.pd30 {
    padding-top: 30px;
    padding-bottom: 30px;
}

.pd120 {
    padding-top: 8rem;
    padding-bottom: 8rem;
}

.mg80 {
    margin-top: 5rem;
    margin-bottom: 5rem;
}

.mg30 {
    margin-top: 30px;
    padding-bottom: 30px;
}

.w-p {
    padding-top: 150px;
    padding-bottom: 143px;
}

.dkbg {
    background: #f5f5f5;
    min-width: 375px;
}

.line1 {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.line2 {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

.line3 {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

.line4 {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
}

.line5 {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
}

li {
    list-style: none;
}

.btn {
    border-radius: 20px;
}

.container {
    max-width: 1300px;
}

.br10 {
    border-radius: 10px;
}

.page-link:focus {
    box-shadow: none;
}

/* 动画属性设置 */
@-webkit-keyframes mover-a {
    0% {
        -webkit-transform: translate(0, 0) rotate(0);
        transform: translate(0, 0) rotate(0);
    }

    20% {
        -webkit-transform: translate(73px, -1px) rotate(36deg);
        transform: translate(73px, -1px) rotate(36deg);
    }

    40% {
        -webkit-transform: translate(141px, 72px) rotate(72deg);
        transform: translate(141px, 72px) rotate(72deg);
    }

    60% {
        -webkit-transform: translate(83px, 122px) rotate(108deg);
        transform: translate(83px, 122px) rotate(108deg);
    }

    80% {
        -webkit-transform: translate(-40px, 72px) rotate(144deg);
        transform: translate(-40px, 72px) rotate(144deg);
    }

    100% {
        -webkit-transform: translate(0, 0) rotate(0);
        transform: translate(0, 0) rotate(0);
    }
}

@-webkit-keyframes rotate3d {
    0% {
        -webkit-transform: rotateY(0);
        transform: rotateY(0);
    }

    100% {
        -webkit-transform: rotateY(360deg);
        transform: rotateY(360deg);
    }
}

@-webkit-keyframes rotate {
    0% {
        -webkit-transform: rotate(0);
        transform: rotate(0);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }

    0% {
        -webkit-transform: rotate(0);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes top-image-bounce {
    0% {
        -webkit-transform: translateY(-8px);
        transform: translateY(-8px);
    }

    50% {
        -webkit-transform: translateY(12px);
        transform: translateY(12px);
    }

    100% {
        -webkit-transform: translateY(-8px);
        transform: translateY(-8px);
    }
}
